    import { Layer } from '../baseLayer'
    import { defaultValue } from '../../../util'
    import { Zondy } from '../../../base'
    import { LayerType } from '../../../base/enum'

    /**
     * 覆盖物图层
     * @class OverlayLayer
     * @moduleEX LayerModule
     * @extends Layer
     * @param {Object} options 构造参数
     */
    class OverlayLayer extends Layer {
      constructor(options) {
        super(options)
        options = defaultValue(options, {})
        /**
         * 图层类型
         * @member {String} OverlayLayer.prototype.type
         */
        this.type = LayerType.overlay
      }

      /**
       * 将图层转为json对象
       * @return {Object} josn对象
       * */
      toJSON() {
        const json = super.toJSON()
        return json
      }

      /**
       * 克隆并返回一个新图层
       * @return {OverlayLayer} 新的图层对象
       * */
      clone() {
        return new OverlayLayer(this.toJSON())
      }
    }

    Zondy.Layer.OverlayLayer = OverlayLayer
    export default OverlayLayer